SCROLLKEEPER-UPDATE(1)

NAME
scrollkeeper-gen-seriesid - generate a unique id for a document series for use in an OMF metadata file

SYNOPSIS
scrollkeeper-gen-seriesid [--help]

DESCRIPTION
This generates a unique id for use as the seriesid attribute to the relation element in the OMF metadata. This id is referred to as the "series id" or "seriesid". The seriesid is used to specify a group (or series) of documents which are related. For example, multiple versions, formats, and translations of a single document are considered to be in the same series. Thus, any new version, translation, etc. of a pre-existing document should inherit the seriesid of the original document. Only document series which have never been assigned a seriesid in the past should use scrollkeeper-gen-seriesid to obtain a new seriesid. ScrollKeeper uses the seriesid of documents to identify which documents are related to each other. For example, when creating the contents list, ScrollKeeper must identify if two documents are in the same series in order to display the most complete set of documents on the system, using locale fallback for documents which may not be translated into a given locale, without displaying the same document in two locales.

OPTIONS

--help
    Show usage (help) information.

AUTHOR
Laszlo Kovacs <laszlo.kovacs@sun.com>
Dan Mueth <d-mueth@uchicago.edu>

SEE ALSO
scrollkeeper-config(1), scrollkeeper.conf(5), scrollkeeper(7), scrollkeeper-preinstall(8), scrollkeeper-rebuilddb(8), scrollkeeper-update(8)